## diffuse 0.7.3

=== requirements.txt ===
flake8 ~= 3.8
mypy ~= 0.910
PyGObject ~= 3.40

## diffuse 0.4.3

=== debian/changelog ===
diffuse (0.4.3-1) unstable; urgency=low

  * New upstream release

 -- Philipp Huebner <debalance@debian.org>  Mon, 19 Apr 2010 17:30:13 +0200

diffuse (0.4.2-1) unstable; urgency=low

  * New upstream release
  * Added Revision Control System (RCS) to long package description
  * Switched to debhelper 7
  * Updated Standards-Version: 3.8.4 (no changes needed)
  * Switched to dpkg-source 3.0 (quilt) format

 -- Philipp Huebner <debalance@debian.org>  Tue, 13 Apr 2010 18:45:31 +0200

diffuse (0.4.1-1) unstable; urgency=low

  * New upstream release
  * Modified debian/rules to compile all available translations
  * Updated README.Debian

 -- Philipp Huebner <debalance@debian.org>  Thu, 15 Oct 2009 19:47:25 +0200

diffuse (0.4.0-1) unstable; urgency=low

  * New upstream release
  * Removed patch-system and patches since they're included upstream now
  * Updated Standards-Version: 3.8.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 18 Aug 2009 14:46:36 +0200

diffuse (0.3.4-1) unstable; urgency=low

  * New upstream release
  * Removed typofix.dpatch as it is now fixed upstream
  * Removed maintainer scripts (not needed anymore)
  * Removed Suggests on scrollkeeper (not needed anymore)
  * Added minor bugfix from upstream
  * Added gettext to Build-Depends-Indep
  * Added compilation of diffuse.po to debian/rules
  * Updated maintainer's mail address
  * Updated Standards-Version: 3.8.2 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 07 Jul 2009 15:11:56 +0200

diffuse (0.3.3-2) unstable; urgency=low

  * Using dpatch patch system again
  * Fixing a typo in Diffuse that causes the '-m' command line option to fail
    on CVS repos when using relative paths

 -- Philipp Huebner <debalance@arcor.de>  Thu, 16 Apr 2009 19:18:40 +0200

diffuse (0.3.3-1) unstable; urgency=low

  * New upstream release (no new features, just bug fixing)

 -- Philipp Huebner <debalance@arcor.de>  Tue, 14 Apr 2009 09:29:49 +0200

diffuse (0.3.2-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version: 3.8.1 (no changes needed)
  * Removed installation of TODO in debian/rules (file doesn't exist)

 -- Philipp Huebner <debalance@arcor.de>  Mon, 13 Apr 2009 21:25:09 +0200

diffuse (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Removed patch-system and patches since they're included upstream now
  * Removed manpage in debian/
  * Added README.Debian for upgrade from older version to 0.3
  * Adjusted years in debian/copyright

 -- Philipp Huebner <debalance@arcor.de>  Fri, 06 Mar 2009 21:04:30 +0100

diffuse (0.2.15-2) unstable; urgency=low

  *  Fixed bug in localization (closes: #511189)
     Thanks Jean-Francois Moine and Derrick Moser
  *  Added dpatch patch system in debian/control and debian/rules
  *  Fixed spelling error of Subversion in debian/control

 -- Philipp Huebner <debalance@arcor.de>  Sun, 11 Jan 2009 21:47:27 +0100

diffuse (0.2.15-1) unstable; urgency=low

  * New upstream release
  * Added maintainer scripts and suggests for scrollkeeper and
    desktop-file-utils
  * cleaned up debian/rules
  * corrected debian/copyright

 -- Philipp Huebner <debalance@arcor.de>  Thu, 11 Dec 2008 17:13:32 +0100

diffuse (0.2.14-1) unstable; urgency=low

  * New upstream release
  * Removed patch-system and patches since they're included upstream now

 -- Philipp Huebner <debalance@arcor.de>  Wed, 22 Oct 2008 21:36:12 +0200

diffuse (0.2.13-2) unstable; urgency=low

  * Added watch file
  * Corrected e-mail address in doc.dpatch
  * Corrected some times in /debian docs
  * Corrected debian/copyright to point towards GPLv2
  * Moved some Build-Depends into Build-Depends-indep
  * Removed encoding key in diffuse.desktop

 -- Philipp Huebner <debalance@arcor.de>  Mon, 28 Jul 2008 09:13:13 +0200

diffuse (0.2.13-1) unstable; urgency=low

  * Initial release (Closes: #478232)

 -- Philipp Huebner <debalance@arcor.de>  Sat, 07 Jun 2008 19:54:13 +0200

=== debian/control ===
Source: diffuse
Section: editors
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-indep: gettext, python, python-support
Standards-Version: 3.8.4
Homepage: http://diffuse.sourceforge.net/

Package: diffuse
Architecture: all
Depends: python-gtk2 (>= 2.10), ${python:Depends}, python (>=2.4), ${misc:Depends}
Suggests: desktop-file-utils
Description: graphical tool for merging and comparing text files
 Diffuse is a graphical tool for merging and comparing text files. Diffuse is
 able to compare an arbitrary number of files side-by-side and gives users the
 ability to manually adjust line-matching and directly edit files. Diffuse can
 also retrieve revisions of files from bazaar, CVS, darcs, git, mercurial,
 monotone, Subversion and GNU Revision Control System (RCS) repositories for
 comparison and merging.

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean 

install:
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs
	cp -rf src/* debian/diffuse/
	for po in `find translations/ -name *.po`; do						\
	BASENAME=`basename $$po .po`;								\
	mkdir -p debian/diffuse/usr/share/locale/$$BASENAME/LC_MESSAGES;			\
	msgfmt -o debian/diffuse/usr/share/locale/$$BASENAME/LC_MESSAGES/diffuse.mo $$po;	\
	done

build:

binary-arch: install

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs README
	dh_pysupport
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary install build

## diffuse 0.4.4

=== debian/changelog ===
diffuse (0.4.4-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version: 3.9.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Fri, 22 Oct 2010 09:29:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-indep: gettext, python, python-support
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://diffuse.sourceforge.net/
 
 Package: diffuse

## diffuse 0.4.5

=== debian/changelog ===
diffuse (0.4.5-1) unstable; urgency=low

  * New upstream release (closes: #623991)
  * Removed unnecessary use of python-support
  * debian/copyright:
    - bumped up copyright years
    - updated maintainer's email address
  * debian/rules:
    - added build-arch and build-indep targets
    - removed unnecessary calls of dh_pysupport, dh_makeshlibs and dh_shlibdeps
  * Updated Standards-Version: 3.9.2 (no changes needed)
  * Deleted deprecated README.Debian

 -- Philipp Huebner <debalance@debian.org>  Sat, 06 Aug 2011 15:06:57 +1000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-indep: gettext, python, python-support
-Standards-Version: 3.9.1
+Build-Depends-indep: gettext
+Standards-Version: 3.9.2
 Homepage: http://diffuse.sourceforge.net/
 
 Package: diffuse

## diffuse 0.4.6

=== debian/changelog ===
diffuse (0.4.6-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright for 2012

 -- Philipp Huebner <debalance@debian.org>  Mon, 02 Jan 2012 11:26:32 +1100

## diffuse 0.4.7

=== debian/changelog ===
diffuse (0.4.7-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: bumped up copyright years
  * Updated Standards-Version: 3.9.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 13 May 2013 15:27:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-indep: gettext
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://diffuse.sourceforge.net/
 
 Package: diffuse

## diffuse 0.4.8

=== debian/changelog ===
diffuse (0.4.8-4) unstable; urgency=medium

  * Enabled DH_VERBOSE in debian/rules
  * Switched to debhelper 11
  * Updated Vcs-* fields in debian/control
  * Updated Standards-Version: 4.2.1 (no changes needed)
  * Converted debian/copyright into machine readable format
  * Added source lintian-overrides
  * Added patch for keywords in diffuse.desktop
  * Added debian/docs to install README

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Sep 2018 09:55:56 +0200

diffuse (0.4.8-3) unstable; urgency=medium

  * Updated debian/copyright
  * Updated Standards-Version: 4.0.0 (no changes needed)
  * Updated years in debian/copyright
  * Updated Vcs-* fields in debian/control
  * Switched to debhelper 9

 -- Philipp Huebner <debalance@debian.org>  Wed, 19 Jul 2017 21:54:46 +0200

diffuse (0.4.8-2) unstable; urgency=medium

  * Updated Standards-Version: 3.9.6 (no changes needed)
  * Updated years in debian/copyright
  * Added Vcs links to debian/control

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Apr 2015 13:19:07 +0200

diffuse (0.4.8-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: bumped up copyright years
  * Updated Standards-Version: 3.9.5 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 28 Aug 2014 08:34:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,21 @@
 Source: diffuse
+Maintainer: Philipp Huebner <debalance@debian.org>
 Section: editors
 Priority: optional
-Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 7)
-Build-Depends-indep: gettext
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 11),
+               dh-python,
+               gettext,
+               python-all
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian/diffuse
+Vcs-Git: https://salsa.debian.org/debian/diffuse.git
 Homepage: http://diffuse.sourceforge.net/
 
 Package: diffuse
 Architecture: all
-Depends: python-gtk2 (>= 2.10), ${python:Depends}, python (>=2.4), ${misc:Depends}
+Depends: ${python:Depends},
+         ${misc:Depends},
+         python-gtk2
 Suggests: desktop-file-utils
 Description: graphical tool for merging and comparing text files
  Diffuse is a graphical tool for merging and comparing text files. Diffuse is

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with python2


override_dh_auto_install:
	dh_auto_install
	cp -rf src/* debian/diffuse/
	for po in `find translations/ -name *.po`; do							\
		BASENAME=`basename $$po .po`;								\
		mkdir -p debian/diffuse/usr/share/locale/$$BASENAME/LC_MESSAGES;			\
		msgfmt -o debian/diffuse/usr/share/locale/$$BASENAME/LC_MESSAGES/diffuse.mo $$po;	\
	done

=== debian/watch ===
version=3
http://sf.net/diffuse/diffuse-(.*)\.tar\.bz2

## diffuse 0.6.0

=== debian/changelog ===
diffuse (0.6.0-2) unstable; urgency=medium

  * Source-only upload to allow migration to testing
  * Added debian/upstream/metadata

 -- Philipp Huebner <debalance@debian.org>  Sat, 23 Jan 2021 10:40:29 +0100

diffuse (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Switched to debhelper compat 13 and meson build system
  * Updated debian/copyright
  * Updated homepage from sourceforge to github
  * Updated debian/watch
  * Updated lintian overrides
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Added debian/NEWS
  * Refreshed debian/patches/keywords.patch
  * Dropped obsolete dependency on python-gtk2
  * Added dependency on python3-gi

 -- Philipp Huebner <debalance@debian.org>  Sun, 03 Jan 2021 14:01:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,23 @@
 Maintainer: Philipp Huebner <debalance@debian.org>
 Section: editors
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                gettext,
-               python-all
-Standards-Version: 4.2.1
+               meson,
+               python3-all
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/diffuse
 Vcs-Git: https://salsa.debian.org/debian/diffuse.git
-Homepage: http://diffuse.sourceforge.net/
+Homepage: https://github.com/MightyCreak/diffuse
 
 Package: diffuse
 Architecture: all
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
-         python-gtk2
+         python3-gi,
+         python3-gi-cairo
 Suggests: desktop-file-utils
 Description: graphical tool for merging and comparing text files
  Diffuse is a graphical tool for merging and comparing text files. Diffuse is

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3

## diffuse 0.7.3

=== debian/changelog ===
diffuse (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3
  * Dropped obsolete patches
  * Updated lintian overrides
  * Fixed installation of metadata
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Fri, 17 Dec 2021 20:06:35 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                gettext,
                meson,
                python3-all
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/diffuse
 Vcs-Git: https://salsa.debian.org/debian/diffuse.git

## diffuse 0.7.7

=== requirements.txt ===
PyGObject ~= 3.40

=== debian/changelog ===
diffuse (0.7.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.

  [ Philipp Huebner ]
  * New upstream version 0.7.7
  * Updated lintian overrides
  * Added missing Depends: gir1.2-gtk-3.0, gnome-icon-theme,

 -- Philipp Huebner <debalance@debian.org>  Fri, 04 Nov 2022 12:55:10 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                gettext,
                meson,
                python3-all
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/diffuse
 Vcs-Git: https://salsa.debian.org/debian/diffuse.git
@@ -17,6 +17,8 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
+         gir1.2-gtk-3.0,
+         gnome-icon-theme,
          python3-gi,
          python3-gi-cairo
 Suggests: desktop-file-utils

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/diffuse-$1\.tar\.gz/ \
  https://github.com/MightyCreak/diffuse/tags .*/v?(\d\S+)\.tar\.gz

## diffuse 0.8.2

=== debian/changelog ===
diffuse (0.8.2-1ubuntu1.1) noble; urgency=medium

  * d/p/fix-distutils.patch:
    Add upstream fix to remove use of python3-distutils (LP: #2091003)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 04 Dec 2024 13:35:06 +0000

diffuse (0.8.2-1ubuntu1) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 12:06:31 +0100

diffuse (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * Depend on python3-distutils (Closes: #1034904)
  * Update Standards-Version: 4.6.2 (no changes needed)
  * Update years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Tue, 04 Jul 2023 15:27:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: diffuse
-Maintainer: Philipp Huebner <debalance@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Philipp Huebner <debalance@debian.org>
 Section: editors
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                gettext,
+               libglib2.0-dev,
                meson,
                python3-all
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/diffuse
 Vcs-Git: https://salsa.debian.org/debian/diffuse.git

## diffuse 0.9.0

=== meson_options.txt ===
option('log_print_output', type: 'boolean', value: false)
option('log_print_stack', type: 'boolean', value: false)
option('use_flatpak', type: 'boolean', value: false)

=== debian/changelog ===
diffuse (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Drop dependency on python3-distutils (Closes: #1065842)
  * Update years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 21 Mar 2024 18:38:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: diffuse
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Philipp Huebner <debalance@debian.org>
+Maintainer: Philipp Huebner <debalance@debian.org>
 Section: editors
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,8 @@
 
 %:
 	dh $@ --with python3
+
+override_dh_auto_install:
+	dh_auto_install
+	mv debian/diffuse/usr/share/appdata debian/diffuse/usr/share/metainfo
+	echo "Keywords=viewer,diff,editor,text" >> debian/diffuse/usr/share/applications/io.github.mightycreak.Diffuse.desktop

## diffuse 0.10.0

=== debian/changelog ===
diffuse (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0 (Closes: #1119689)
  * Updated debian/watch to version 5
  * Updated debian/copyright
  * Updated Standards-Version: 4.7.3
  * Removed obsolete dependency on gnome-icon-theme (Closes: #1117083)
  * Replaced old FSF address in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sun, 18 Jan 2026 09:47:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,24 @@
 Source: diffuse
 Maintainer: Philipp Huebner <debalance@debian.org>
 Section: editors
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                gettext,
                libglib2.0-dev,
                meson,
                python3-all
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/diffuse
 Vcs-Git: https://salsa.debian.org/debian/diffuse.git
 Homepage: https://github.com/MightyCreak/diffuse
 
 Package: diffuse
 Architecture: all
-Depends: ${python3:Depends},
+Depends: gir1.2-gtk-3.0,
+         python3-gi,
+         python3-gi-cairo,
          ${misc:Depends},
-         gir1.2-gtk-3.0,
-         gnome-icon-theme,
-         python3-gi,
-         python3-gi-cairo
+         ${python3:Depends}
 Suggests: desktop-file-utils
 Description: graphical tool for merging and comparing text files
  Diffuse is a graphical tool for merging and comparing text files. Diffuse is

=== debian/watch ===
version=5
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/diffuse-$1\.tar\.gz/ \
  https://github.com/MightyCreak/diffuse/tags .*/v?(\d\S+)\.tar\.gz
